#!/bin/bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

OUTDIR="${DIR}/build-coverage"
INFO="${OUTDIR}/example.info"

rm -rf "${OUTDIR}"
mkdir -p "${OUTDIR}"

(cd "${DIR}/build" ; ./example)
lcov --capture --directory "${DIR}" --output-file "${INFO}" # --rc lcov_branch_coverage=1
lcov --zerocounters --directory "${DIR}"
genhtml --output-directory "${OUTDIR}/html" "${INFO}"  # --rc genhtml_branch_coverage=1
